#include <cdevReactor.h>
#include <stdio.h>

class simpleTimer : public cdevEventHandler 
{
public:
	simpleTimer ( void )
		{
		setTimeoutRate(1.0);
		}
		
	int handleTimeout ( void )
		{
		fprintf(stdout, ".");
		fflush(stdout);
		return 0;
		}
};

int main ()
	{
	cdevReactor reactor;
	simpleTimer timer;
	reactor.registerTimer(&timer);
	for(int i=0; i<10; i++) reactor.handleEvents();
	return 0;
	}
